# Copyright (c) 2000-2011, JPackage Projectc
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_with gcj_support
%bcond_without monolithic_ui
%bcond_without repolib
%bcond_without zips

%if %with gcj_support
%define gcj_support 1
%else
%define gcj_support 0
%endif

%define __jar_repack %{nil}

%define section free
%define reltag SP3
%define namedreltag .%{reltag}
%global namedversion %{version}%{?namedreltag}
%global jbossseamversion 2.1.0.SP1

%define repodir %{_javadir}/repository.jboss.com/org/richfaces/%{namedversion}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

Name:           richfaces
Version:        3.3.1
Release:        1%{?namedreltag}.1%{?dist}
Epoch:          0
Summary:        JBoss RichFaces
License:        LGPLv2+
Group:          Development/Framework
URL:            http://labs.jboss.com/jbossrichfaces
# svn export http://anonsvn.jboss.org/repos/richfaces/tags/3.3.1.SP3/ richfaces-3.3.1.SP3 && tar cjf richfaces-3.3.1.SP3.tar.bz2 richfaces-3.3.1.SP3
# Exported revision 21709.
Source0:        richfaces-3.3.1.SP3.tar.bz2
Source1:        %{name}-settings.xml
Source2:        %{name}-jpp-depmap.xml
Source3:        %{name}-component-info.xml
# FIXME: (dwalluck): Remove these and all binary jars
Source11:       http://repository.jboss.com/maven2/org/eclipse/wst/sse/core/1.1.202-v200709061102/core-1.1.202-v200709061102.jar
Source12:       http://repository.jboss.com/maven2/org/eclipse/wst/sse/core/1.1.202-v200709061102/core-1.1.202-v200709061102.pom
Source13:       http://repository.jboss.com/maven2/org/eclipse/wst/css/core/1.1.101-v200705302225/core-1.1.101-v200705302225.jar
Source14:       http://repository.jboss.com/maven2/org/eclipse/wst/css/core/1.1.101-v200705302225/core-1.1.101-v200705302225.pom
# FIXME: (dwalluck): Remove these and all binary jars
Source15:       http://repository.jboss.org/maven2/org/jboss/seam/jboss-seam/2.1.0.SP1/jboss-seam-2.1.0.SP1.jar
Source16:       http://repository.jboss.org/maven2/org/jboss/seam/jboss-seam-debug/2.1.0.SP1/jboss-seam-debug-2.1.0.SP1.jar
Source17:       http://repository.jboss.org/maven2/org/jboss/seam/jboss-seam-pdf/2.1.0.SP1/jboss-seam-pdf-2.1.0.SP1.jar
Source18:       http://repository.jboss.org/maven2/org/jboss/seam/jboss-seam-ui/2.1.0.SP1/jboss-seam-ui-2.1.0.SP1.jar
# FIXME: (dwalluck): Remove these and all binary jars
Source22:       http://repository.jboss.com/maven2-brew/cglib/cglib/2.2/cglib-2.2.jar
#Patch0 is not needed in JB-EEAP-5-RHEL-6 (maven 2.2.1)
#Patch0:         richfaces-cdk-maven-plugin-pom.patch
Patch1:         richfaces-maven-cdk-plugin-plexus-components.patch
Patch2:         richfaces-cdk-generator-BuilderConfig.patch
Patch3:         richfaces-resource-config-xpp3-reader-read.patch
Patch4:         richfaces-site.patch
Patch5:         richfaces-cglib.patch
Patch6:         richfaces-asm.patch
Patch7:         richfaces-assembly.patch
Patch8:         richfaces-docs-common-resources-en-pdf.patch
Patch9:         richfaces-no-jsf-test.patch
Patch10:        richfaces-maven.patch
Patch11:        richfaces-translation.patch
Patch12:        richfaces-htmlunit.patch
Patch13:        richfaces-validation-api.patch
BuildRequires:  jpackage-utils
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  maven2 >= 0:2.0.7-8
BuildRequires:  maven-archetype2
BuildRequires:  maven2-default-skin
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-changes
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-pmd
BuildRequires:  maven2-plugin-project-info-reports
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-source
BuildRequires:  maven2-plugin-war
BuildRequires:  maven-jxr
BuildRequires:  maven-shared-archiver
BuildRequires:  maven-shared-dependency-analyzer
BuildRequires:  maven-shared-dependency-tree
BuildRequires:  maven-shared-file-management
BuildRequires:  maven-shared-plugin-tools-api
BuildRequires:  maven-shared-plugin-tools-beanshell
BuildRequires:  maven-shared-plugin-tools-java
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven2-plugin-surefire
BuildRequires:  jetty6-maven2-plugins
BuildRequires:  mojo-maven2-plugin-antlr
BuildRequires:  mojo-maven2-plugin-build-helper
BuildRequires:  mojo-maven2-plugin-exec
BuildRequires:  mojo-maven2-plugin-javacc
BuildRequires:  mojo-maven2-plugin-xml
BuildRequires:  maven-jdocbook-plugin
BuildRequires:  modello-maven-plugin

BuildRequires:  ant
BuildRequires:  docbook-xsl
BuildRequires:  easymock2 >= 0:2.5
BuildRequires:  easymock-classextension2 >= 0:2.3
BuildRequires:  hibernate-beanvalidation-api
#BuildRequires:  htmlunit >= 0:1.14
BuildRequires:  htmlunit2 >= 0:2.4
BuildRequires:  javacc
BuildRequires:  junit
BuildRequires:  modello
# FIXME: (dwalluck): java.lang.ClassNotFoundException: org.objenesis.ObjenesisHelper
# FIXME: (dwalluck): in framework/test/target/surefire-reports (caused by easymock2 pom)
BuildRequires:  objenesis
#BuildRequires:  openqa-selenium-rc-java-client-driver
#BuildRequires:  openqa-selenium-rc-server-coreless
BuildRequires:  plexus-utils
BuildRequires:  plexus-resources
BuildRequires:  plexus-velocity
BuildRequires:  velocity15
BuildRequires:  saxon8
BuildRequires:  saxon8-dom
BuildRequires:  saxon9
BuildRequires:  shale-test
BuildRequires:  testng
BuildRequires:  tlddoc
BuildRequires:  xalan-j2
BuildRequires:  xmlgraphics-batik
BuildRequires:  xmlgraphics-fop
%if 0
BuildRequires:  jbossorg-docbook-highlight
%endif
BuildRequires:  jbossorg-docbook-xslt
BuildRequires:  jbossorg-jdocbook-style


BuildRequires:  postgresql-jdbc

#BuildRequires:  sun-annotation-1.0-api
BuildRequires:  annotation_1_0_api
BuildRequires:  asm
BuildRequires:  cglib
BuildRequires:  cssparser
BuildRequires:  dtdparser
BuildRequires:  ejb_3_0_api
BuildRequires:  el-impl
BuildRequires:  el_1_0_api
BuildRequires:  jsp_2_1_api
BuildRequires:  servlet_2_5_api
BuildRequires:  glassfish-jstl
BuildRequires:  hibernate3
BuildRequires:  hibernate3-annotations
BuildRequires:  hibernate3-entitymanager
BuildRequires:  hibernate3-validator
BuildRequires:  hsqldb
BuildRequires:  jhighlight
BuildRequires:  jakarta-commons-beanutils
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-dbcp
BuildRequires:  jakarta-commons-digester
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  jakarta-commons-io
BuildRequires:  jakarta-commons-lang
BuildRequires:  jakarta-commons-logging
BuildRequires:  jakarta-commons-vfs
BuildRequires:  jakarta-slide-webdavclient
BuildRequires:  jakarta-taglibs-standard
BuildRequires:  glassfish-persistence-1.0b-api
#BuildRequires:  jpa_3_0_api
BuildRequires:  jta_1_1_api
BuildRequires:  facelets
BuildRequires:  nekohtml
BuildRequires:  nekohtml0
BuildRequires:  myfaces
BuildRequires:  oscache
BuildRequires:  qdox
BuildRequires:  rhino16
BuildRequires:  saxpath
BuildRequires:  taglib-maven2-plugin
BuildRequires:  slf4j
#BuildRequires:  sun-jsf-1.2-api
BuildRequires:  glassfish-jsf
#BuildRequires:  sun-jsf-1.2-impl
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-resolver11
BuildRequires:  xpp3-minimal


BuildRequires:  htmlunit-core-js
BuildRequires:  jakarta-commons-parent
BuildRequires:  jboss-parent
BuildRequires:  jsunit

Requires(post): jpackage-utils >= 0:1.7.3
Requires(postun): jpackage-utils >= 0:1.7.3

Requires:       java >= 0:1.5.0

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
RichFaces is a rich component library for JSF and an advanced
framework for easily integrating AJAX capabilities into
business application development. The RichFaces components
come ready to use out-of-the-box, so developers can immediately
save time in taking advantage of component features to create
Web applications that provide greatly improved user experience
more reliably and more quickly. RichFaces also includes strong
support for the skinnability of JSF applications. RichFaces
also takes full advantage of the benefits of the JSF framework
including lifecycle, validation, and conversion facilities,
along with the management of static and dynamic resources.

RichFaces differs from other AJAX approaches by enabling
page-oriented AJAX support instead of the traditional
component-oriented support. This means you can define an
event in the page that invokes a particular AJAX request
and then you can also define those areas of the page that
need to be synchronized with the JSF Component Tree after
this particular AJAX request is processed on the server.

%package cdk
Summary:        JSF Components Development kit POM
Group:          Development/Frameworks

%description cdk
%{summary}.

%package demo
Summary:        Sample Webapp for %{name}
Group:          Development/Frameworks

%description demo
%{summary}.

%package docs
Summary:        Project documentation POM
Group:          Development/Framework
Requires:       %{name}-root = %{epoch}:%{version}-%{release}

%description docs
%{summary}.

%package framework
Summary:        Java Server Faces AJAX Framework
Group:          Development/Framework
Requires:       %{name}-root = %{epoch}:%{version}-%{release}
Requires:       facelets >= 0:1.1.14
Requires:       jakarta-commons-logging >= 0:1.0.4
Requires:       jakarta-commons-beanutils >= 0:1.7.0
Requires:       jakarta-commons-collections >= 0:3.2
Requires:       jakarta-commons-digester >= 0:1.8.1
%if 0
XXX: optional
Requires:       nekohtml >= 0:0.9.5
Requires:       oscache >= 0:2.3
%endif
%if 0
# XXX: provided
Requires:       annotation_1_0_api
Requires:       el_1_0_api
Requires:       glassfish-jsf >= 0:1.2_12
Requires:       jsp_2_1_api
Requires:       jstl_1_2_api
Requires:       servlet_2_5_api
%endif

%description framework
%{summary}.

%package generator
Summary:        Java Server Faces Component Generator
Group:          Development/Framework
Requires:       %{name}-cdk = %{epoch}:%{version}-%{release}
Requires:       %{name}-framework = %{epoch}:%{version}-%{release}
Requires:       %{name}-ui = %{epoch}:%{version}-%{release}
Requires:       ant >= 0:1.6.5
Requires:       cglib >= 0:2.1.3
Requires:       dtdparser >= 0:1.21
Requires:       easymock2 >= 0:2.5
Requires:       el_1_0_api
Requires:       el-impl >= 0:1.0
Requires:       glassfish-jsf >= 0:1.2_12
Requires:       jsp_2_1_api
Requires:       jakarta-commons-beanutils >= 0:1.6
Requires:       jakarta-commons-collections
Requires:       jakarta-commons-digester >= 0:1.8.1
Requires:       qdox >= 0:1.6
# XXX: 1.4
Requires:       velocity15
Requires:       xerces-j2 >= 0:2.8.1

%description generator
%{summary}.

%package highlight
Summary:        RichFaces Code Highlighting
Group:          Development/Java
Requires:       %{name}-docs = %{epoch}:%{version}-%{release}
%if 0
# FIXME: No RPMS for these
Requires:       eclipse-wst-css-core
Requires:       eclipse-wst-sse-core
%endif
Requires:       jhighlight >= 0:1.0
Requires:       xmlgraphics-fop >= 0:0.95

%description highlight
RichFaces Code Highlighting.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%package maven
Summary:        RichFaces Maven2 Plugins and Archetypes
Group:          Development/Framework
Requires:       %{name}-cdk = %{epoch}:%{version}-%{release}
Requires:       %{name}-generator = %{epoch}:%{version}-%{release}
Requires:       maven2 >= 0:2.0.7-8
Requires:       maven-shared-archiver
Requires:       maven-shared-file-management
Requires:       plexus-utils
Requires:       plexus-velocity
Requires:       rhino16

%description maven
%{summary}.

%package root
Summary:        Jboss RichFaces project POM
Group:          Development/Framework
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description root
%{summary}.

%package test
Summary:        Java Server Faces AJAX Framework
Group:          Development/Framework
Requires:       %{name}-framework = %{epoch}:%{version}-%{release}
Requires:       easymock2 >= 0:2.5
Requires:       easymock-classextension2
Requires:       htmlunit
Requires:       junit
Requires:       objenesis
%if 0
Requires:       rhino16
%endif
Requires:       shale-test
Requires:       glassfish-jsf
#Requires:       sun-jsf-1.2-impl

%description test
%{summary}.

%package ui
Summary:        RichFaces UI Components
Group:          Development/Framework
Requires:       %{name}-framework = %{epoch}:%{version}-%{release}
%if 0
# XXX: optional
Requires:       facelets >= 0:1.1.14
Requires:       jhighlight >= 0:1.0
%endif
%if 0
# XXX: provided
Requires:       antlr >= 0:2.7.6
Requires:       el_2_2_api
Requires:       jakarta-commons-logging >= 0:1.0.4
# XXX: 2.1.0.SP1
Requires:       jboss-seam2 >= 0:2.1.0
Requires:       glassfish-jsf >= 0:1.2_12
Requires:       jsp_2_1_api
Requires:       jstl_1_2_api
Requires:       servlet_2_5_api
%endif

%description ui
%{summary}.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%if %with zips
%package zip
Summary:     Container for the zipped distribution of richfaces
Group:       Development

%description zip
Container for the zipped distribution of richfaces.

%package src-zip
Summary:     Container for the sources
Group:       Development

%description src-zip
Container for the sources.
%endif

%prep
%setup -q -n richfaces-%{namedversion}
%{_bindir}/find -type f -name "*.jar" | %{_bindir}/xargs -t %{__rm}
#%%patch0 -p0 -b .sav0
%patch1 -p0 -b .sav1
%patch2 -p0 -b .sav2
%patch3 -p0 -b .sav3
%patch4 -p0 -b .sav4
%patch5 -p0 -b .sav5
%patch6 -p0 -b .sav6
%patch7 -p0 -b .sav7
%patch8 -p0 -b .sav8
%patch9 -p0 -b .sav9
%patch10 -p0 -b .sav10
%patch11 -p0 -b .sav11
%if 0
%patch12 -p0 -b .sav12
%patch13 -p0 -b .sav13
%endif

%{_bindir}/find -type f -name pom.xml | %{_bindir}/xargs %{__perl} -pi -e 's|<type>jdocbook-style</type>|<type>jar</type>|g;'
%{__rm} ui/beanValidator/src/test/java/org/richfaces/validator/MockValidationProvider.java

# FIXME
%{__mkdir_p} m2_repo/repository/org/jboss/seam/jboss-seam{,-debug,-pdf,-ui}/%{jbossseamversion}/
%{__cp} -p %{SOURCE15} m2_repo/repository/org/jboss/seam/jboss-seam/%{jbossseamversion}/jboss-seam-%{jbossseamversion}.jar
%{__cp} -p %{SOURCE16} m2_repo/repository/org/jboss/seam/jboss-seam-debug/%{jbossseamversion}/jboss-seam-debug-%{jbossseamversion}.jar
%{__cp} -p %{SOURCE17} m2_repo/repository/org/jboss/seam/jboss-seam-pdf/%{jbossseamversion}/jboss-seam-pdf-%{jbossseamversion}.jar
%{__cp} -p %{SOURCE18} m2_repo/repository/org/jboss/seam/jboss-seam-ui/%{jbossseamversion}/jboss-seam-ui-%{jbossseamversion}.jar

%{__mkdir_p} m2_repo/repository/org/eclipse/wst/sse/core/1.1.202-v200709061102/
%{__cp} -p %{SOURCE11} m2_repo/repository/org/eclipse/wst/sse/core/1.1.202-v200709061102/core-1.1.202-v200709061102.jar 
%{__mkdir_p} m2_repo/repository/org/eclipse/wst/css/core/1.1.101-v200705302225/
%{__cp} -p %{SOURCE13} m2_repo/repository/org/eclipse/wst/css/core/1.1.101-v200705302225/core-1.1.101-v200705302225.jar

%{__cp} -p %{SOURCE1} maven2-settings.xml

%{__sed} -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
%{__sed} -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
%{__sed} -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
%{__sed} -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" maven2-settings.xml
%{__sed} -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" maven2-settings.xml

%{__mkdir} external_repo
%{__ln_s} %{_javadir} external_repo/JPP

%build
export LANG=en_US.UTF-8
export LC_ALL=en_US.UTF-8
export MAVEN_REPO_LOCAL=$(pwd)/m2_repo/repository

export M2_SETTINGS=$(pwd)/maven2-settings.xml

export MAVEN_OPTS="-Xmx1536m -XX:MaxPermSize=128m -Djava.awt.headless=true"
#export MAVEN_OPTS="${MAVEN_OPTS} -Xbootclasspath/p:$(build-classpath xalan-j2 xalan-j2-serializer xerces-j2 xml-commons-jaxp-1.3-apis)"

# FIXME: (dwalluck): see <https://jira.jboss.org/browse/JBPAPP-2971>
%{_bindir}/mvn-jpp -e \
        -s ${M2_SETTINGS} \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
         install:install-file -DgroupId=cglib -DartifactId=cglib -Dversion=2.2 -Dpackaging=jar -Dfile=%{SOURCE22}

pushd docs/highlight
%{_bindir}/mvn-jpp -e \
        -s ${M2_SETTINGS} \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
        -Dmaven.test.failure.ignore=true \
        -DaltDeploymentRepository=jboss-releases::default::file://$(pwd)/maven2-brew \
        -P release,docs \
        deploy site
popd

pushd docs/common-resources
%{_bindir}/mvn-jpp -e \
        -s ${M2_SETTINGS} \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
        -Dmaven.test.failure.ignore=true \
        -DaltDeploymentRepository=jboss-releases::default::file://$(pwd)/maven2-brew \
        -P release,docs \
        deploy site
popd

%{_bindir}/mvn-jpp -X \
        -s ${M2_SETTINGS} \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
        -Dmaven.test.failure.ignore=true \
        -DaltDeploymentRepository=jboss-releases::default::file://$(pwd)/maven2-brew \
        -P release,docs \
        deploy site

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms

%add_to_maven_depmap org.richfaces root %{namedversion} JPP/%{name} root
%{__cp} -p pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-root.pom

%add_to_maven_depmap org.richfaces framework %{namedversion} JPP/%{name} framework
%{__cp} -p framework/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-framework.pom

%add_to_maven_depmap org.richfaces.cdk generator %{namedversion} JPP/%{name} generator
%{__cp} -p cdk/generator/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-generator.pom
%{__cp} -p cdk/generator/target/generator-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/generator-%{version}.jar

%add_to_maven_depmap org.richfaces.cdk maven-archetype-jsf-component %{namedversion} JPP/%{name} maven-archetype-jsf-component
%{__cp} -p cdk/maven-archetype-jsf-component/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-jsf-component.pom
%{__cp} -p cdk/maven-archetype-jsf-component/target/maven-archetype-jsf-component-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/maven-archetype-jsf-component-%{version}.jar

%add_to_maven_depmap org.richfaces.cdk maven-archetype-jsfwebapp %{namedversion} JPP/%{name} maven-archetype-jsfwebapp
%{__cp} -p cdk/maven-archetype-jsfwebapp/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-jsfwebapp.pom
%{__cp} -p cdk/maven-archetype-jsfwebapp/target/maven-archetype-jsfwebapp-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/maven-archetype-jsfwebapp-%{version}.jar

%add_to_maven_depmap org.richfaces.cdk maven-archetype-plug-n-skin %{namedversion} JPP/%{name} maven-archetype-plug-n-skin
%{__cp} -p cdk/maven-archetype-plug-n-skin/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-plug-n-skin.pom
%{__cp} -p cdk/maven-archetype-plug-n-skin/target/maven-archetype-plug-n-skin-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/maven-archetype-plug-n-skin-%{version}.jar

%add_to_maven_depmap org.richfaces cdk %{namedversion} JPP/%{name} cdk
%{__cp} -p cdk/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-cdk.pom

%add_to_maven_depmap org.richfaces.cdk maven-cdk-plugin %{namedversion} JPP/%{name} maven-cdk-plugin
%{__cp} -p cdk/maven-cdk-plugin/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-maven-cdk-plugin.pom
%{__cp} -p cdk/maven-cdk-plugin/target/maven-cdk-plugin-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/maven-cdk-plugin-%{version}.jar

%add_to_maven_depmap org.richfaces.cdk maven-javascript-plugin %{namedversion} JPP/%{name} maven-javascript-plugin
%{__cp} -p cdk/maven-javascript-plugin/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-maven-javascript-plugin.pom
%{__cp} -p cdk/maven-javascript-plugin/target/maven-javascript-plugin-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/maven-javascript-plugin-%{version}.jar

%add_to_maven_depmap org.richfaces docs %{namedversion} JPP/%{name} docs
%{__cp} -p docs/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-docs.pom

%add_to_maven_depmap org.richfaces.docs.cdkguide en %{namedversion} JPP/%{name} cdkguide_en
%{__cp} -p docs/cdkguide/en/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-cdkguide_en.pom
%{__cp} -p docs/cdkguide/en/target/cdkguide_en-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/cdkguide_en-%{version}.jar

%add_to_maven_depmap org.richfaces.docs.faq en %{namedversion} JPP/%{name} faq_en
%{__cp} -p docs/faq/en/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-faq_en.pom
%{__cp} -p docs/faq/en/target/faq_en-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/faq_en-%{version}.jar

%add_to_maven_depmap org.richfaces.docs highlight %{namedversion} JPP/%{name} highlight
%add_to_maven_depmap org.richfaces highlight %{namedversion} JPP/%{name} highlight
%{__cp} -p docs/highlight/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-highlight.pom
%{__cp} -p docs/highlight/target/highlight-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/highlight-%{version}.jar

%add_to_maven_depmap org.richfaces.docs.migration en %{namedversion} JPP/%{name} migration_en
%{__cp} -p docs/migrationguide/en/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-migration_en.pom
%{__cp} -p docs/migrationguide/en/target/migration_en-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/migration_en-%{version}.jar

%add_to_maven_depmap org.richfaces.docs.photo_album_app_guide en %{namedversion} JPP/%{name} photo_album_app_guide_en
%{__cp} -p docs/migrationguide/en/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-photo_album_app_guide_en.pom
%{__cp} -p docs/photo_album_app_guide/en/target/photo_album_app_guide_en-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/photo_album_app_guide_en-%{version}.jar

%add_to_maven_depmap org.richfaces.docs.userguide en %{namedversion} JPP/%{name} userguide_en
%{__cp} -p docs/userguide/en/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-userguide_en.pom
%{__cp} -p docs/userguide/en/target/userguide_en-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/userguide_en-%{version}.jar

%add_to_maven_depmap org.richfaces.framework richfaces-api %{namedversion} JPP/%{name} richfaces-api
%{__cp} -p framework/api/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-richfaces-api.pom
%{__cp} -p framework/api/target/richfaces-api-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/richfaces-api-%{version}.jar

%add_to_maven_depmap org.richfaces.framework richfaces-impl %{namedversion} JPP/%{name} richfaces-impl
%{__cp} -p framework/impl/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-richfaces-impl.pom
%{__cp} -p framework/impl/target/richfaces-impl-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/richfaces-impl-%{version}.jar

%add_to_maven_depmap org.richfaces.framework richfaces-test %{namedversion} JPP/%{name} richfaces-test
%{__cp} -p framework/test/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-richfaces-test.pom
%{__cp} -p framework/test/target/richfaces-test-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/richfaces-test-%{version}.jar

%add_to_maven_depmap org.richfaces.samples darkX %{namedversion} JPP/%{name} darkX
%{__cp} -p samples/darkX/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-darkX.pom
%{__cp} -p samples/darkX/target/darkX-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/darkX-%{version}.jar

%add_to_maven_depmap org.richfaces.samples glassX %{namedversion} JPP/%{name} glassX
%{__cp} -p samples/glassX/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-glassX.pom
%{__cp} -p samples/glassX/target/glassX-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/glassX-%{version}.jar

%add_to_maven_depmap org.richfaces.samples laguna %{namedversion} JPP/%{name} laguna
%{__cp} -p samples/laguna/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-laguna.pom
%{__cp} -p samples/laguna/target/laguna-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/laguna-%{version}.jar

%if %with monolithic_ui
%add_to_maven_depmap org.richfaces.ui richfaces-ui %{namedversion} JPP/%{name} richfaces-ui
%{__cp} -p ui/assembly/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-richfaces-ui.pom
%{__cp} -p ui/assembly/target/dist/richfaces-ui-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/richfaces-ui-%{version}.jar
%endif

%add_to_maven_depmap org.richfaces ui %{namedversion} JPP/%{name} ui
%{__cp} -p ui/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-ui.pom

%if %without monolithic_ui
%add_to_maven_depmap org.richfaces.ui beanValidator %{namedversion} JPP/%{name} beanValidator
%{__cp} -p ui/beanValidator/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-beanValidator.pom
%{__cp} -p ui/beanValidator/target/beanValidator-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/beanValidator-%{version}.jar

%add_to_maven_depmap org.richfaces.ui calendar %{namedversion} JPP/%{name} calendar
%{__cp} -p ui/calendar/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-calendar.pom
%{__cp} -p ui/calendar/target/calendar-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/calendar-%{version}.jar

%add_to_maven_depmap org.richfaces.ui colorPicker %{namedversion} JPP/%{name} colorPicker
%{__cp} -p ui/colorPicker/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-colorPicker.pom
%{__cp} -p ui/colorPicker/target/colorPicker-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/colorPicker-%{version}.jar

%add_to_maven_depmap org.richfaces.ui columns %{namedversion} JPP/%{name} columns
%{__cp} -p ui/columns/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-columns.pom
%{__cp} -p ui/columns/target/columns-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/columns-%{version}.jar

%add_to_maven_depmap org.richfaces.ui combobox %{namedversion} JPP/%{name} combobox
%{__cp} -p ui/combobox/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-combobox.pom
%{__cp} -p ui/combobox/target/combobox-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/combobox-%{version}.jar

%add_to_maven_depmap org.richfaces.ui componentControl %{namedversion} JPP/%{name} componentControl
%{__cp} -p ui/componentControl/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-componentControl.pom
%{__cp} -p ui/componentControl/target/componentControl-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/componentControl-%{version}.jar

%add_to_maven_depmap org.richfaces.ui contextMenu %{namedversion} JPP/%{name} contextMenu
%{__cp} -p ui/contextMenu/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-contextMenu.pom
%{__cp} -p ui/contextMenu/target/contextMenu-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/contextMenu-%{version}.jar

%add_to_maven_depmap org.richfaces.ui core %{namedversion} JPP/%{name} core
%{__cp} -p ui/core/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-core.pom
%{__cp} -p ui/core/target/core-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/core-%{version}.jar

%add_to_maven_depmap org.richfaces.ui dataFilterSlider %{namedversion} JPP/%{name} dataFilterSlider
%{__cp} -p ui/dataFilterSlider/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-dataFilterSlider.pom
%{__cp} -p ui/dataFilterSlider/target/dataFilterSlider-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/dataFilterSlider-%{version}.jar

%add_to_maven_depmap org.richfaces.ui dataTable %{namedversion} JPP/%{name} dataTable
%{__cp} -p ui/dataTable/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-dataTable.pom
%{__cp} -p ui/dataTable/target/dataTable-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/dataTable-%{version}.jar

%add_to_maven_depmap org.richfaces.ui datascroller %{namedversion} JPP/%{name} datascroller
%{__cp} -p ui/datascroller/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-datascroller.pom
%{__cp} -p ui/datascroller/target/datascroller-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/datascroller-%{version}.jar

%add_to_maven_depmap org.richfaces.ui drag-drop %{namedversion} JPP/%{name} drag-drop
%{__cp} -p ui/drag-drop/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-drag-drop.pom
%{__cp} -p ui/drag-drop/target/drag-drop-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/drag-drop-%{version}.jar

%add_to_maven_depmap org.richfaces.ui dropdown-menu %{namedversion} JPP/%{name} dropdown-menu
%{__cp} -p ui/dropdown-menu/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-dropdown-menu.pom
%{__cp} -p ui/dropdown-menu/target/dropdown-menu-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/dropdown-menu-%{version}.jar

%add_to_maven_depmap org.richfaces.ui editor %{namedversion} JPP/%{name} editor
%{__cp} -p ui/editor/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-editor.pom
%{__cp} -p ui/editor/target/editor-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/editor-%{version}.jar

%add_to_maven_depmap org.richfaces.ui effect %{namedversion} JPP/%{name} effect
%{__cp} -p ui/effect/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-effect.pom
%{__cp} -p ui/effect/target/effect-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/effect-%{version}.jar

%add_to_maven_depmap org.richfaces.ui extendedDataTable %{namedversion} JPP/%{name} extendedDataTable
%{__cp} -p ui/extendedDataTable/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-extendedDataTable.pom
%{__cp} -p ui/extendedDataTable/target/extendedDataTable-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/extendedDataTable-%{version}.jar

%add_to_maven_depmap org.richfaces.ui fileUpload %{namedversion} JPP/%{name} fileUpload
%{__cp} -p ui/fileUpload/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-fileUpload.pom
%{__cp} -p ui/fileUpload/target/fileUpload-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/fileUpload-%{version}.jar

%add_to_maven_depmap org.richfaces.ui functions %{namedversion} JPP/%{name} functions
%{__cp} -p ui/functions/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-functions.pom
%{__cp} -p ui/functions/target/functions-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/functions-%{version}.jar

%add_to_maven_depmap org.richfaces.ui gmap %{namedversion} JPP/%{name} gmap
%{__cp} -p ui/gmap/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-gmap.pom
%{__cp} -p ui/gmap/target/gmap-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/gmap-%{version}.jar

%add_to_maven_depmap org.richfaces.ui hotKey %{namedversion} JPP/%{name} hotKey
%{__cp} -p ui/hotKey/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-hotKey.pom
%{__cp} -p ui/hotKey/target/hotKey-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/hotKey-%{version}.jar

%add_to_maven_depmap org.richfaces.ui inplaceInput %{namedversion} JPP/%{name} inplaceInput
%{__cp} -p ui/inplaceInput/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-inplaceInput.pom
%{__cp} -p ui/inplaceInput/target/inplaceInput-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/inplaceInput-%{version}.jar

%add_to_maven_depmap org.richfaces.ui inplaceSelect %{namedversion} JPP/%{name} inplaceSelect
%{__cp} -p ui/inplaceSelect/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-inplaceSelect.pom
%{__cp} -p ui/inplaceSelect/target/inplaceSelect-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/inplaceSelect-%{version}.jar

%add_to_maven_depmap org.richfaces.ui inputnumber-slider %{namedversion} JPP/%{name} inputnumber-slider
%{__cp} -p ui/inputnumber-slider/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-inputnumber-slider.pom
%{__cp} -p ui/inputnumber-slider/target/inputnumber-slider-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/inputnumber-slider-%{version}.jar

%add_to_maven_depmap org.richfaces.ui inputnumber-spinner %{namedversion} JPP/%{name} inputnumber-spinner
%{__cp} -p ui/inputnumber-spinner/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-inputnumber-spinner.pom
%{__cp} -p ui/inputnumber-spinner/target/inputnumber-spinner-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/inputnumber-spinner-%{version}.jar

%add_to_maven_depmap org.richfaces.ui insert %{namedversion} JPP/%{name} insert
%{__cp} -p ui/insert/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-insert.pom
%{__cp} -p ui/insert/target/insert-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/insert-%{version}.jar

%add_to_maven_depmap org.richfaces.ui jQuery %{namedversion} JPP/%{name} jQuery
%{__cp} -p ui/jQuery/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jQuery.pom
%{__cp} -p ui/jQuery/target/jQuery-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/jQuery-%{version}.jar

%add_to_maven_depmap org.richfaces.ui layout %{namedversion} JPP/%{name} layout
%{__cp} -p ui/layout/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-layout.pom
%{__cp} -p ui/layout/target/layout-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/layout-%{version}.jar

%add_to_maven_depmap org.richfaces.ui listShuttle %{namedversion} JPP/%{name} listShuttle
%{__cp} -p ui/listShuttle/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-listShuttle.pom
%{__cp} -p ui/listShuttle/target/listShuttle-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/listShuttle-%{version}.jar

%add_to_maven_depmap org.richfaces.ui menu-components %{namedversion} JPP/%{name} menu-components
%{__cp} -p ui/menu-components/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-menu-components.pom
%{__cp} -p ui/menu-components/target/menu-components-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/menu-components-%{version}.jar

%add_to_maven_depmap org.richfaces.ui message %{namedversion} JPP/%{name} message
%{__cp} -p ui/message/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-message.pom
%{__cp} -p ui/message/target/message-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/message-%{version}.jar

%add_to_maven_depmap org.richfaces.ui modal-panel %{namedversion} JPP/%{name} modal-panel
%{__cp} -p ui/modal-panel/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-modal-panel.pom
%{__cp} -p ui/modal-panel/target/modal-panel-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/modal-panel-%{version}.jar

%add_to_maven_depmap org.richfaces.ui orderingList %{namedversion} JPP/%{name} orderingList
%{__cp} -p ui/orderingList/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-orderingList.pom
%{__cp} -p ui/orderingList/target/orderingList-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/orderingList-%{version}.jar

%add_to_maven_depmap org.richfaces.ui paint2D %{namedversion} JPP/%{name} paint2D
%{__cp} -p ui/paint2D/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-paint2D.pom
%{__cp} -p ui/paint2D/target/paint2D-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/paint2D-%{version}.jar

%add_to_maven_depmap org.richfaces.ui panel %{namedversion} JPP/%{name} panel
%{__cp} -p ui/panel/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-panel.pom
%{__cp} -p ui/panel/target/panel-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/panel-%{version}.jar

%add_to_maven_depmap org.richfaces.ui panelbar %{namedversion} JPP/%{name} panelbar
%{__cp} -p ui/panelbar/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-panelbar.pom
%{__cp} -p ui/panelbar/target/panelbar-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/panelbar-%{version}.jar

%add_to_maven_depmap org.richfaces.ui panelmenu %{namedversion} JPP/%{name} panelmenu
%{__cp} -p ui/panelmenu/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-panelmenu.pom
%{__cp} -p ui/panelmenu/target/panelmenu-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/panelmenu-%{version}.jar

%add_to_maven_depmap org.richfaces.ui pickList %{namedversion} JPP/%{name} pickList
%{__cp} -p ui/pickList/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-pickList.pom
%{__cp} -p ui/pickList/target/pickList-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/pickList-%{version}.jar

%add_to_maven_depmap org.richfaces.ui progressBar %{namedversion} JPP/%{name} progressBar
%{__cp} -p ui/progressBAR/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-progressBar.pom
%{__cp} -p ui/progressBAR/target/progressBar-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/progressBar-%{version}.jar

%add_to_maven_depmap org.richfaces.ui scrollableDataTable %{namedversion} JPP/%{name} scrollableDataTable
%{__cp} -p ui/scrollableDataTable/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-scrollableDataTable.pom
%{__cp} -p ui/scrollableDataTable/target/scrollableDataTable-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/scrollableDataTable-%{version}.jar

%add_to_maven_depmap org.richfaces.ui separator %{namedversion} JPP/%{name} separator
%{__cp} -p ui/separator/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-separator.pom
%{__cp} -p ui/separator/target/separator-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/separator-%{version}.jar

%add_to_maven_depmap org.richfaces.ui simpleTogglePanel %{namedversion} JPP/%{name} simpleTogglePanel
%{__cp} -p ui/simpleTogglePanel/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-simpleTogglePanel.pom
%{__cp} -p ui/simpleTogglePanel/target/simpleTogglePanel-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/simpleTogglePanel-%{version}.jar

%add_to_maven_depmap org.richfaces.ui spacer %{namedversion} JPP/%{name} spacer
%{__cp} -p ui/spacer/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-spacer.pom
%{__cp} -p ui/spacer/target/spacer-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/spacer-%{version}.jar

%add_to_maven_depmap org.richfaces.ui state %{namedversion} JPP/%{name} state
%{__cp} -p ui/state/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-state.pom
%{__cp} -p ui/state/target/state-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/state-%{version}.jar

%add_to_maven_depmap org.richfaces.ui suggestionbox %{namedversion} JPP/%{name} suggestionbox
%{__cp} -p ui/suggestionbox/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-suggestionbox.pom
%{__cp} -p ui/suggestionbox/target/suggestionbox-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/suggestionbox-%{version}.jar

%add_to_maven_depmap org.richfaces.ui tabPanel %{namedversion} JPP/%{name} tabPanel
%{__cp} -p ui/tabPanel/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-tabPanel.pom
%{__cp} -p ui/tabPanel/target/tabPanel-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/tabPanel-%{version}.jar

%add_to_maven_depmap org.richfaces.ui togglePanel %{namedversion} JPP/%{name} togglePanel
%{__cp} -p ui/togglePanel/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-togglePanel.pom
%{__cp} -p ui/togglePanel/target/togglePanel-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/togglePanel-%{version}.jar

%add_to_maven_depmap org.richfaces.ui toolBar %{namedversion} JPP/%{name} toolBar
%{__cp} -p ui/toolBar/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-toolBar.pom
%{__cp} -p ui/toolBar/target/toolBar-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/toolBar-%{version}.jar

%add_to_maven_depmap org.richfaces.ui tooltip %{namedversion} JPP/%{name} tooltip
%{__cp} -p ui/tooltip/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-tooltip.pom
%{__cp} -p ui/tooltip/target/tooltip-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/tooltip-%{version}.jar

%add_to_maven_depmap org.richfaces.ui tree %{namedversion} JPP/%{name} tree
%{__cp} -p ui/tree/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-tree.pom
%{__cp} -p ui/tree/target/tree-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/tree-%{version}.jar

%if 0
%add_to_maven_depmap org.richfaces.ui treeTable %{namedversion} JPP/%{name} treeTable
%{__cp} -p ui/treeTable/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-treeTable.pom
%{__cp} -p ui/treeTable/target/treeTable-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/treeTable-%{version}.jar
%endif

%add_to_maven_depmap org.richfaces.ui treeModel %{namedversion} JPP/%{name} treeModel
%{__cp} -p ui/treeModel/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-treeModel.pom
%{__cp} -p ui/treeModel/target/treeModel-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/treeModel-%{version}.jar

%add_to_maven_depmap org.richfaces.ui virtualEarth %{namedversion} JPP/%{name} virtualEarth
%{__cp} -p ui/virtualEarth/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-virtualEarth.pom
%{__cp} -p ui/virtualEarth/target/virtualEarth-%{namedversion}.jar \
           %{buildroot}%{_javadir}/%{name}/virtualEarth-%{version}.jar
%endif

(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{version}*; do %{__ln_s} ${jar} ${jar/-%{version}/}; done)

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__cp} -pr ui/assembly/target/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__ln_s} %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%{__mkdir_p} %{buildroot}%{_docdir}/%{name}-%{version}
%{__mkdir_p} %{buildroot}%{_docdir}/%{name}-%{version}/docs
%{__cp} -pr ui/assembly/target/site/* %{buildroot}%{_docdir}/%{name}-%{version}
%{__mkdir_p} %{buildroot}%{_docdir}/%{name}-%{version}/wars
%{__cp} -p docs/userguide/en/target/classes/userguide_en-%{namedversion}.war \
                  %{buildroot}%{_docdir}/%{name}-%{version}/wars
%{__cp} -p docs/cdkguide/en/target/classes/cdkguide_en-%{namedversion}.war \
                  %{buildroot}%{_docdir}/%{name}-%{version}/wars
%{__cp} -p docs/faq/en/target/classes/faq_en-%{namedversion}.war \
                  %{buildroot}%{_docdir}/%{name}-%{version}/wars
%{__cp} -p docs/migrationguide/en/target/classes/migration_en-%{namedversion}.war \
                  %{buildroot}%{_docdir}/%{name}-%{version}/wars
%{__cp} -p docs/photo_album_app_guide/en/target/classes/photo_album_app_guide_en-%{namedversion}.war \
                 %{buildroot}%{_docdir}/%{name}-%{version}/wars

# demo
%{__mkdir_p} %{buildroot}%{_datadir}/%{name}-%{version}/demo
%{__cp} -p samples/richfaces-demo/target/richfaces-demo.war \
                  %{buildroot}%{_datadir}/%{name}-%{version}/demo
%{__cp} -p samples/richfaces-demo/target/richfaces-demo-jee5.war \
                 %{buildroot}%{_datadir}/%{name}-%{version}/demo
%{__cp} -p samples/richfaces-demo/target/richfaces-demo-tomcat6.war \
                 %{buildroot}%{_datadir}/%{name}-%{version}/demo

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
# FIXME: workaround for MEAD bug
%{__rm} -r %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew/org/richfaces/docs/cdkguide/en/
%{__rm} -r %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew/org/richfaces/docs/common-resources/en/
%{__rm} -r %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew/org/richfaces/docs/faq/en/
%{__rm} -r %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew/org/richfaces/docs/migration/en/
%{__rm} -r %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew/org/richfaces/docs/photo_album_app_guide/en/
%{__rm} -r %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew/org/richfaces/docs/userguide/en/
#
%{__mkdir_p} %{buildroot}%{repodir}
%{__mkdir_p} %{buildroot}%{repodirlib}
%{__cp} -p %{SOURCE3} %{buildroot}%{repodir}/component-info.xml
%{__sed} -i 's/@VERSION@/%{namedversion}-brew/g' %{buildroot}%{repodir}/component-info.xml
tag=`/bin/echo %{name}-%{version}-%{release} | %{__sed} 's|\.|_|g'`
%{__sed} -i "s/@TAG@/$tag/g" %{buildroot}%{repodir}/component-info.xml
%{__mkdir_p} %{buildroot}%{repodirsrc}
%{__cp} -p %{SOURCE0} %{buildroot}%{repodirsrc}
%{__cp} -p %{SOURCE1} %{buildroot}%{repodirsrc}
%{__cp} -p %{SOURCE2} %{buildroot}%{repodirsrc}
#%{__cp} -p %{PATCH0} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH1} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH2} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH3} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH4} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH5} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH6} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH7} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH8} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH9} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH10} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH11} %{buildroot}%{repodirsrc}
%if 0
%{__cp} -p %{PATCH12} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH13} %{buildroot}%{repodirsrc}
%endif
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-root.pom %{buildroot}%{repodirlib}/richfaces-root.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-framework.pom %{buildroot}%{repodirlib}/richfaces-framework.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-generator.pom %{buildroot}%{repodirlib}/richfaces-generator.pom
%{__cp} -p %{buildroot}%{_javadir}/%{name}/generator-%{version}.jar %{buildroot}%{repodirlib}/richfaces-generator.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-jsf-component.pom %{buildroot}%{repodirlib}/richfaces-maven-archetype-jsf-component.pom
%{__cp} -p %{buildroot}%{_javadir}/%{name}/maven-archetype-jsf-component-%{version}.jar %{buildroot}%{repodirlib}/richfaces-maven-archetype-jsf-component.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-jsfwebapp.pom %{buildroot}%{repodirlib}/richfaces-maven-archetype-jsfwebapp.pom
%{__cp} -p %{buildroot}%{_javadir}/%{name}/maven-archetype-jsfwebapp-%{version}.jar %{buildroot}%{repodirlib}/richfaces-maven-archetype-jsfwebapp.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-plug-n-skin.pom %{buildroot}%{repodirlib}/richfaces-maven-archetype-plug-n-skin.pom
%{__cp} -p %{buildroot}%{_javadir}/%{name}/maven-archetype-plug-n-skin-%{version}.jar %{buildroot}%{repodirlib}/richfaces-maven-archetype-plug-n-skin.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-cdk.pom %{buildroot}%{repodirlib}/richfaces-cdk.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-maven-cdk-plugin.pom %{buildroot}%{repodirlib}/richfaces-maven-cdk-plugin.pom
%{__cp} -p %{buildroot}%{_javadir}/%{name}/maven-cdk-plugin-%{version}.jar %{buildroot}%{repodirlib}/richfaces-maven-cdk-plugin.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-maven-javascript-plugin.pom %{buildroot}%{repodirlib}/richfaces-maven-javascript-plugin.pom
%{__cp} -p %{buildroot}%{_javadir}/%{name}/maven-javascript-plugin-%{version}.jar %{buildroot}%{repodirlib}/richfaces-maven-javascript-plugin.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-docs.pom %{buildroot}%{repodirlib}/richfaces-docs.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-cdkguide_en.pom %{buildroot}%{repodirlib}/richfaces-cdkguide_en.pom
%{__cp} -p %{buildroot}%{_javadir}/%{name}/cdkguide_en-%{version}.jar %{buildroot}%{repodirlib}/richfaces-cdkguide_en.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-faq_en.pom %{buildroot}%{repodirlib}/richfaces-faq_en.pom
%{__cp} -p %{buildroot}%{_javadir}/%{name}/faq_en-%{version}.jar %{buildroot}%{repodirlib}/richfaces-faq_en.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-highlight.pom %{buildroot}%{repodirlib}/richfaces-highlight.pom
%{__cp} -p %{buildroot}%{_javadir}/%{name}/highlight-%{version}.jar %{buildroot}%{repodirlib}/richfaces-highlight.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-migration_en.pom %{buildroot}%{repodirlib}/richfaces-migration_en.pom
%{__cp} -p %{buildroot}%{_javadir}/%{name}/migration_en-%{version}.jar %{buildroot}%{repodirlib}/richfaces-migration_en.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-photo_album_app_guide_en.pom %{buildroot}%{repodirlib}/richfaces-photo_album_app_guide_en.pom
%{__cp} -p %{buildroot}%{_javadir}/%{name}/migration_en-%{version}.jar %{buildroot}%{repodirlib}/richfaces-photo_album_app_guide_en.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-photo_album_app_guide_en.pom %{buildroot}%{repodirlib}/richfaces-photo_album_app_guide_en.pom
%{__cp} -p %{buildroot}%{_javadir}/%{name}/photo_album_app_guide_en-%{version}.jar %{buildroot}%{repodirlib}/richfaces-photo_album_app_guide_en.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-userguide_en.pom %{buildroot}%{repodirlib}/richfaces-userguide_en.pom
%{__cp} -p %{buildroot}%{_javadir}/%{name}/userguide_en-%{version}.jar %{buildroot}%{repodirlib}/richfaces-userguide_en.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-richfaces-api.pom %{buildroot}%{repodirlib}/richfaces-api.pom
%{__cp} -p %{buildroot}%{_javadir}/%{name}/richfaces-api-%{version}.jar %{buildroot}%{repodirlib}/richfaces-api.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-richfaces-impl.pom  %{buildroot}%{repodirlib}/richfaces-impl.pom
%{__cp} -p %{buildroot}%{_javadir}/%{name}/richfaces-impl-%{version}.jar %{buildroot}%{repodirlib}/richfaces-impl.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-richfaces-test.pom %{buildroot}%{repodirlib}/richfaces-test.pom
%{__cp} -p %{buildroot}%{_javadir}/%{name}/richfaces-test-%{version}.jar %{buildroot}%{repodirlib}/richfaces-test.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-darkX.pom %{buildroot}%{repodirlib}/richfaces-darkX.pom
%{__cp} -p %{buildroot}%{_javadir}/%{name}/darkX-%{version}.jar %{buildroot}%{repodirlib}/richfaces-darkX.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-glassX.pom %{buildroot}%{repodirlib}/richfaces-glassX.pom
%{__cp} -p %{buildroot}%{_javadir}/%{name}/glassX-%{version}.jar %{buildroot}%{repodirlib}/richfaces-glassX.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-laguna.pom %{buildroot}%{repodirlib}/richfaces-laguna.pom
%{__cp} -p %{buildroot}%{_javadir}/%{name}/laguna-%{version}.jar %{buildroot}%{repodirlib}/richfaces-laguna.jar
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-ui.pom %{buildroot}%{repodirlib}/richfaces-ui.pom
%if %with monolithic_ui
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-richfaces-ui.pom %{buildroot}%{repodirlib}/richfaces-richfaces-ui.pom
%{__cp} -p %{buildroot}%{_javadir}/%{name}/richfaces-ui-%{version}.jar %{buildroot}%{repodirlib}/richfaces-richfaces-ui.jar
%else
%{__cp} -p %{buildroot}%{_javadir}/%{name}/beanValidator-%{version}.jar %{buildroot}%{repodirlib}/richfaces-beanValidator.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/calendar-%{version}.jar %{buildroot}%{repodirlib}/richfaces-calendar.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/colorPicker-%{version}.jar %{buildroot}%{repodirlib}/richfaces-colorPicker.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/columns-%{version}.jar %{buildroot}%{repodirlib}/richfaces-columns.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/combobox-%{version}.jar %{buildroot}%{repodirlib}/richfaces-combobox.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/componentControl-%{version}.jar %{buildroot}%{repodirlib}/richfaces-componentControl.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/contextMenu-%{version}.jar %{buildroot}%{repodirlib}/richfaces-contextMenu.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/core-%{version}.jar %{buildroot}%{repodirlib}/richfaces-core.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/dataFilterSlider-%{version}.jar %{buildroot}%{repodirlib}/richfaces-dataFilterSlider.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/datascroller-%{version}.jar %{buildroot}%{repodirlib}/richfaces-datascroller.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/dataTable-%{version}.jar %{buildroot}%{repodirlib}/richfaces-dataTable.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/drag-drop-%{version}.jar %{buildroot}%{repodirlib}/richfaces-drag-drop.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/dropdown-menu-%{version}.jar %{buildroot}%{repodirlib}/richfaces-dropdown-menu.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/editor-%{version}.jar %{buildroot}%{repodirlib}/richfaces-editor.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/effect-%{version}.jar %{buildroot}%{repodirlib}/richfaces-effect.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/extendedDataTable-%{version}.jar %{buildroot}%{repodirlib}/richfaces-extendedDataTable.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/fileUpload-%{version}.jar %{buildroot}%{repodirlib}/richfaces-fileUpload.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/functions-%{version}.jar %{buildroot}%{repodirlib}/richfaces-functions.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/gmap-%{version}.jar %{buildroot}%{repodirlib}/richfaces-gmap.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/hotKey-%{version}.jar %{buildroot}%{repodirlib}/richfaces-hotKey.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/inplaceInput-%{version}.jar %{buildroot}%{repodirlib}/richfaces-inplaceInput.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/inplaceSelect-%{version}.jar %{buildroot}%{repodirlib}/richfaces-inplaceSelect.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/inputnumber-slider-%{version}.jar %{buildroot}%{repodirlib}/richfaces-inputnumber-slider.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/inputnumber-spinner-%{version}.jar %{buildroot}%{repodirlib}/richfaces-inputnumber-spinner.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/insert-%{version}.jar %{buildroot}%{repodirlib}/richfaces-insert.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/jQuery-%{version}.jar %{buildroot}%{repodirlib}/richfaces-jQuery.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/layout-%{version}.jar %{buildroot}%{repodirlib}/richfaces-layout.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/listShuttle-%{version}.jar %{buildroot}%{repodirlib}/richfaces-listShuttle.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/menu-components-%{version}.jar %{buildroot}%{repodirlib}/richfaces-menu-components.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/message-%{version}.jar %{buildroot}%{repodirlib}/richfaces-message.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/modal-panel-%{version}.jar %{buildroot}%{repodirlib}/richfaces-modal-panel.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/orderingList-%{version}.jar %{buildroot}%{repodirlib}/richfaces-orderingList.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/paint2D-%{version}.jar %{buildroot}%{repodirlib}/richfaces-paint2D.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/panel-%{version}.jar %{buildroot}%{repodirlib}/richfaces-panel.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/panelbar-%{version}.jar %{buildroot}%{repodirlib}/richfaces-panelbar.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/panelmenu-%{version}.jar %{buildroot}%{repodirlib}/richfaces-panelmenu.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/pickList-%{version}.jar %{buildroot}%{repodirlib}/richfaces-pickList.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/progressBar-%{version}.jar %{buildroot}%{repodirlib}/richfaces-progressBar.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/scrollableDataTable-%{version}.jar %{buildroot}%{repodirlib}/richfaces-scrollableDataTable.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/separator-%{version}.jar %{buildroot}%{repodirlib}/richfaces-separator.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/simpleTogglePanel-%{version}.jar %{buildroot}%{repodirlib}/richfaces-simpleTogglePanel.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/spacer-%{version}.jar %{buildroot}%{repodirlib}/richfaces-spacer.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/state-%{version}.jar %{buildroot}%{repodirlib}/richfaces-state.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/suggestionbox-%{version}.jar %{buildroot}%{repodirlib}/richfaces-suggestionbox.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/tabPanel-%{version}.jar %{buildroot}%{repodirlib}/richfaces-tabPanel.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/togglePanel-%{version}.jar %{buildroot}%{repodirlib}/richfaces-togglePanel.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/toolBar-%{version}.jar %{buildroot}%{repodirlib}/richfaces-toolBar.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/tooltip-%{version}.jar %{buildroot}%{repodirlib}/richfaces-tooltip.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/tree-%{version}.jar %{buildroot}%{repodirlib}/richfaces-tree.jar
%{__cp} -p %{buildroot}%{_javadir}/%{name}/treeModel-%{version}.jar %{buildroot}%{repodirlib}/richfaces-treeModel.jar
%if 0
%{__cp} -p %{buildroot}%{_javadir}/%{name}/treeTable-%{version}.jar %{buildroot}%{repodirlib}/richfaces-treeTable.jar
%endif
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-beanValidator.pom %{buildroot}%{repodirlib}/richfaces-beanValidator.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-calendar.pom %{buildroot}%{repodirlib}/richfaces-calendar.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-colorPicker.pom %{buildroot}%{repodirlib}/richfaces-colorPicker.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-columns.pom %{buildroot}%{repodirlib}/richfaces-columns.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-combobox.pom %{buildroot}%{repodirlib}/richfaces-combobox.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-componentControl.pom %{buildroot}%{repodirlib}/richfaces-componentControl.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-contextMenu.pom %{buildroot}%{repodirlib}/richfaces-contextMenu.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-core.pom %{buildroot}%{repodirlib}/richfaces-core.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-dataFilterSlider.pom %{buildroot}%{repodirlib}/richfaces-dataFilterSlider.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-dataTable.pom %{buildroot}%{repodirlib}/richfaces-dataTable.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-datascroller.pom %{buildroot}%{repodirlib}/richfaces-datascroller.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-drag-drop.pom %{buildroot}%{repodirlib}/richfaces-drag-drop.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-dropdown-menu.pom %{buildroot}%{repodirlib}/richfaces-dropdown-menu.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-editor.pom %{buildroot}%{repodirlib}/richfaces-editor.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-effect.pom %{buildroot}%{repodirlib}/richfaces-effect.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-extendedDataTable.pom %{buildroot}%{repodirlib}/richfaces-extendedDataTable.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-fileUpload.pom %{buildroot}%{repodirlib}/richfaces-fileUpload.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-functions.pom %{buildroot}%{repodirlib}/richfaces-functions.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-gmap.pom %{buildroot}%{repodirlib}/richfaces-gmap.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-hotKey.pom %{buildroot}%{repodirlib}/richfaces-hotKey.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-inplaceInput.pom %{buildroot}%{repodirlib}/richfaces-inplaceInput.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-inplaceSelect.pom %{buildroot}%{repodirlib}/richfaces-inplaceSelect.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-inputnumber-slider.pom %{buildroot}%{repodirlib}/richfaces-inputnumber-slider.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-inputnumber-spinner.pom %{buildroot}%{repodirlib}/richfaces-inputnumber-spinner.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-insert.pom %{buildroot}%{repodirlib}/richfaces-insert.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jQuery.pom %{buildroot}%{repodirlib}/richfaces-jQuery.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-layout.pom %{buildroot}%{repodirlib}/richfaces-layout.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-listShuttle.pom %{buildroot}%{repodirlib}/richfaces-listShuttle.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-menu-components.pom %{buildroot}%{repodirlib}/richfaces-menu-components.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-message.pom %{buildroot}%{repodirlib}/richfaces-message.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-modal-panel.pom %{buildroot}%{repodirlib}/richfaces-modal-panel.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-orderingList.pom %{buildroot}%{repodirlib}/richfaces-orderingList.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-paint2D.pom %{buildroot}%{repodirlib}/richfaces-paint2D.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-panel.pom %{buildroot}%{repodirlib}/richfaces-panel.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-panelbar.pom %{buildroot}%{repodirlib}/richfaces-panelbar.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-panelmenu.pom %{buildroot}%{repodirlib}/richfaces-panelmenu.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-pickList.pom %{buildroot}%{repodirlib}/richfaces-pickList.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-progressBar.pom %{buildroot}%{repodirlib}/richfaces-progressBar.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-scrollableDataTable.pom %{buildroot}%{repodirlib}/richfaces-scrollableDataTable.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-separator.pom %{buildroot}%{repodirlib}/richfaces-separator.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-simpleTogglePanel.pom %{buildroot}%{repodirlib}/richfaces-simpleTogglePanel.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-spacer.pom %{buildroot}%{repodirlib}/richfaces-spacer.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-state.pom %{buildroot}%{repodirlib}/richfaces-state.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-suggestionbox.pom %{buildroot}%{repodirlib}/richfaces-suggestionbox.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-tabPanel.pom %{buildroot}%{repodirlib}/richfaces-tabPanel.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-togglePanel.pom %{buildroot}%{repodirlib}/richfaces-togglePanel.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-toolBar.pom %{buildroot}%{repodirlib}/richfaces-toolBar.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-tooltip.pom %{buildroot}%{repodirlib}/richfaces-tooltip.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-tree.pom %{buildroot}%{repodirlib}/richfaces-tree.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-treeModel.pom %{buildroot}%{repodirlib}/richfaces-treeModel.pom
%if 0
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-treeTable.pom %{buildroot}%{repodirlib}/richfaces-treeTable.pom
%endif
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-virtualEarth.pom %{buildroot}%{repodirlib}/richfaces-virtualEarth.pom
%endif
%endif

%if %with zips
%{__mkdir_p} %{buildroot}%{_javadir}/jbossas-fordev

# Copy over zip for the zip subpackage
%{__cp} -p ui/assembly/target/dist/richfaces-ui-%{namedversion}-bin.zip %{buildroot}%{_javadir}/jbossas-fordev/richfaces-ui-%{namedversion}-bin.zip

# Copy over source zip for the src-zip subpackage
%{__cp} -p ui/assembly/target/dist/richfaces-ui-%{namedversion}-src.zip %{buildroot}%{_javadir}/jbossas-fordev/richfaces-ui-%{namedversion}-src.zip
%endif

%clean
%{__rm} -rf %{buildroot}

%post 
%update_maven_depmap

%postun 
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}*/%{name}/
%exclude %dir %{_javadocdir}/%{name}/
%dir %{_datadir}/%{name}-%{version}
%{_mavendepmapfragdir}/%{name}

%files cdk
%defattr(0644,root,root,0755)
%{_datadir}/maven2/poms/JPP.%{name}-cdk.pom

%files demo
%defattr(0644,root,root,0755)
%dir %{_datadir}/%{name}-%{version}/demo
%{_datadir}/%{name}-%{version}/demo/richfaces-demo.war
%{_datadir}/%{name}-%{version}/demo/richfaces-demo-jee5.war
%{_datadir}/%{name}-%{version}/demo/richfaces-demo-tomcat6.war
%{_javadir}*/%{name}/darkX-%{version}.jar
%{_javadir}*/%{name}/darkX.jar
%{_javadir}*/%{name}/glassX-%{version}.jar
%{_javadir}*/%{name}/glassX.jar
%{_javadir}*/%{name}/laguna-%{version}.jar
%{_javadir}*/%{name}/laguna.jar
%{_datadir}/maven2/poms/JPP.%{name}-darkX.pom
%{_datadir}/maven2/poms/JPP.%{name}-glassX.pom
%{_datadir}/maven2/poms/JPP.%{name}-laguna.pom

%files docs
%defattr(0644,root,root,0755)
%{_datadir}/maven2/poms/JPP.%{name}-docs.pom

%files framework
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}/richfaces-api-%{version}.jar
%{_javadir}*/%{name}/richfaces-api.jar
%{_javadir}*/%{name}/richfaces-impl-%{version}.jar
%{_javadir}*/%{name}/richfaces-impl.jar
%{_datadir}/maven2/poms/JPP.%{name}-framework.pom
%{_datadir}/maven2/poms/JPP.%{name}-richfaces-api.pom
%{_datadir}/maven2/poms/JPP.%{name}-richfaces-impl.pom

%files generator
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}/generator-%{version}.jar
%{_javadir}*/%{name}/generator.jar
%{_datadir}/maven2/poms/JPP.%{name}-generator.pom

%files highlight
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}/highlight-%{version}.jar
%{_javadir}*/%{name}/highlight.jar
%{_datadir}/maven2/poms/JPP.%{name}-highlight.pom

%files maven
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}/maven-archetype-jsf-component-%{version}.jar
%{_javadir}*/%{name}/maven-archetype-jsf-component.jar
%{_javadir}*/%{name}/maven-archetype-jsfwebapp-%{version}.jar
%{_javadir}*/%{name}/maven-archetype-jsfwebapp.jar
%{_javadir}*/%{name}/maven-archetype-plug-n-skin-%{version}.jar
%{_javadir}*/%{name}/maven-archetype-plug-n-skin.jar
%{_javadir}*/%{name}/maven-cdk-plugin-%{version}.jar
%{_javadir}*/%{name}/maven-cdk-plugin.jar
%{_javadir}*/%{name}/maven-javascript-plugin-%{version}.jar
%{_javadir}*/%{name}/maven-javascript-plugin.jar
%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-jsf-component.pom
%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-jsfwebapp.pom
%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-plug-n-skin.pom
%{_datadir}/maven2/poms/JPP.%{name}-maven-cdk-plugin.pom
%{_datadir}/maven2/poms/JPP.%{name}-maven-javascript-plugin.pom

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files test
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}/richfaces-test-%{version}.jar
%{_javadir}*/%{name}/richfaces-test.jar
%{_datadir}/maven2/poms/JPP.%{name}-richfaces-test.pom

%files ui
%defattr(0644,root,root,0755)
%if %with monolithic_ui
%{_javadir}*/%{name}/richfaces-ui-%{version}.jar
%{_javadir}*/%{name}/richfaces-ui.jar
%else
%{_javadir}*/%{name}/beanValidator-%{version}.jar
%{_javadir}*/%{name}/beanValidator.jar
%{_javadir}*/%{name}/calendar-%{version}.jar
%{_javadir}*/%{name}/calendar.jar
%{_javadir}*/%{name}/colorPicker-%{version}.jar
%{_javadir}*/%{name}/colorPicker.jar
%{_javadir}*/%{name}/columns-%{version}.jar
%{_javadir}*/%{name}/columns.jar
%{_javadir}*/%{name}/combobox-%{version}.jar
%{_javadir}*/%{name}/combobox.jar
%{_javadir}*/%{name}/componentControl-%{version}.jar
%{_javadir}*/%{name}/componentControl.jar
%{_javadir}*/%{name}/contextMenu-%{version}.jar
%{_javadir}*/%{name}/contextMenu.jar
%{_javadir}*/%{name}/core-%{version}.jar
%{_javadir}*/%{name}/core.jar
%{_javadir}*/%{name}/dataFilterSlider-%{version}.jar
%{_javadir}*/%{name}/dataFilterSlider.jar
%{_javadir}*/%{name}/datascroller-%{version}.jar
%{_javadir}*/%{name}/datascroller.jar
%{_javadir}*/%{name}/dataTable-%{version}.jar
%{_javadir}*/%{name}/dataTable.jar
%{_javadir}*/%{name}/drag-drop-%{version}.jar
%{_javadir}*/%{name}/drag-drop.jar
%{_javadir}*/%{name}/dropdown-menu-%{version}.jar
%{_javadir}*/%{name}/dropdown-menu.jar
%{_javadir}*/%{name}/editor-%{version}.jar
%{_javadir}*/%{name}/editor.jar
%{_javadir}*/%{name}/effect-%{version}.jar
%{_javadir}*/%{name}/effect.jar
%{_javadir}*/%{name}/extendedDataTable-%{version}.jar
%{_javadir}*/%{name}/extendedDataTable.jar
%{_javadir}*/%{name}/fileUpload-%{version}.jar
%{_javadir}*/%{name}/fileUpload.jar
%{_javadir}*/%{name}/functions-%{version}.jar
%{_javadir}*/%{name}/functions.jar
%{_javadir}*/%{name}/gmap-%{version}.jar
%{_javadir}*/%{name}/gmap.jar
%{_javadir}*/%{name}/hotKey-%{version}.jar
%{_javadir}*/%{name}/hotKey.jar
%{_javadir}*/%{name}/inplaceInput-%{version}.jar
%{_javadir}*/%{name}/inplaceInput.jar
%{_javadir}*/%{name}/inplaceSelect-%{version}.jar
%{_javadir}*/%{name}/inplaceSelect.jar
%{_javadir}*/%{name}/inputnumber-slider-%{version}.jar
%{_javadir}*/%{name}/inputnumber-slider.jar
%{_javadir}*/%{name}/inputnumber-spinner-%{version}.jar
%{_javadir}*/%{name}/inputnumber-spinner.jar
%{_javadir}*/%{name}/insert-%{version}.jar
%{_javadir}*/%{name}/insert.jar
%{_javadir}*/%{name}/jQuery-%{version}.jar
%{_javadir}*/%{name}/jQuery.jar
%{_javadir}*/%{name}/layout-%{version}.jar
%{_javadir}*/%{name}/layout.jar
%{_javadir}*/%{name}/listShuttle-%{version}.jar
%{_javadir}*/%{name}/listShuttle.jar
%{_javadir}*/%{name}/menu-components-%{version}.jar
%{_javadir}*/%{name}/menu-components.jar
%{_javadir}*/%{name}/message-%{version}.jar
%{_javadir}*/%{name}/message.jar
%{_javadir}*/%{name}/modal-panel-%{version}.jar
%{_javadir}*/%{name}/modal-panel.jar
%{_javadir}*/%{name}/orderingList-%{version}.jar
%{_javadir}*/%{name}/orderingList.jar
%{_javadir}*/%{name}/paint2D-%{version}.jar
%{_javadir}*/%{name}/paint2D.jar
%{_javadir}*/%{name}/panel-%{version}.jar
%{_javadir}*/%{name}/panel.jar
%{_javadir}*/%{name}/panelbar-%{version}.jar
%{_javadir}*/%{name}/panelbar.jar
%{_javadir}*/%{name}/panelmenu-%{version}.jar
%{_javadir}*/%{name}/panelmenu.jar
%{_javadir}*/%{name}/pickList-%{version}.jar
%{_javadir}*/%{name}/pickList.jar
%{_javadir}*/%{name}/progressBar-%{version}.jar
%{_javadir}*/%{name}/progressBar.jar
%{_javadir}*/%{name}/scrollableDataTable-%{version}.jar
%{_javadir}*/%{name}/scrollableDataTable.jar
%{_javadir}*/%{name}/separator-%{version}.jar
%{_javadir}*/%{name}/separator.jar
%{_javadir}*/%{name}/simpleTogglePanel-%{version}.jar
%{_javadir}*/%{name}/simpleTogglePanel.jar
%{_javadir}*/%{name}/spacer-%{version}.jar
%{_javadir}*/%{name}/spacer.jar
%{_javadir}*/%{name}/state-%{version}.jar
%{_javadir}*/%{name}/state.jar
%{_javadir}*/%{name}/suggestionbox-%{version}.jar
%{_javadir}*/%{name}/suggestionbox.jar
%{_javadir}*/%{name}/tabPanel-%{version}.jar
%{_javadir}*/%{name}/tabPanel.jar
%{_javadir}*/%{name}/togglePanel-%{version}.jar
%{_javadir}*/%{name}/togglePanel.jar
%{_javadir}*/%{name}/toolBar-%{version}.jar
%{_javadir}*/%{name}/toolBar.jar
%{_javadir}*/%{name}/tooltip-%{version}.jar
%{_javadir}*/%{name}/tooltip.jar
%{_javadir}*/%{name}/tree-%{version}.jar
%{_javadir}*/%{name}/tree.jar
%{_javadir}*/%{name}/treeModel-%{version}.jar
%{_javadir}*/%{name}/treeModel.jar
%if 0
%{_javadir}*/%{name}/treeTable-%{version}.jar
%{_javadir}*/%{name}/treeTable.jar
%endif
%{_javadir}*/%{name}/virtualEarth-%{version}.jar
%{_javadir}*/%{name}/virtualEarth.jar
%endif
%{_datadir}/maven2/poms/JPP.%{name}-ui.pom
%if %with monolithic_ui
%{_datadir}/maven2/poms/JPP.%{name}-richfaces-ui.pom
%else
%{_datadir}/maven2/poms/JPP.%{name}-beanValidator.pom
%{_datadir}/maven2/poms/JPP.%{name}-calendar.pom
%{_datadir}/maven2/poms/JPP.%{name}-colorPicker.pom
%{_datadir}/maven2/poms/JPP.%{name}-columns.pom
%{_datadir}/maven2/poms/JPP.%{name}-combobox.pom
%{_datadir}/maven2/poms/JPP.%{name}-componentControl.pom
%{_datadir}/maven2/poms/JPP.%{name}-contextMenu.pom
%{_datadir}/maven2/poms/JPP.%{name}-core.pom
%{_datadir}/maven2/poms/JPP.%{name}-dataFilterSlider.pom
%{_datadir}/maven2/poms/JPP.%{name}-dataTable.pom
%{_datadir}/maven2/poms/JPP.%{name}-datascroller.pom
%{_datadir}/maven2/poms/JPP.%{name}-drag-drop.pom
%{_datadir}/maven2/poms/JPP.%{name}-dropdown-menu.pom
%{_datadir}/maven2/poms/JPP.%{name}-editor.pom
%{_datadir}/maven2/poms/JPP.%{name}-effect.pom
%{_datadir}/maven2/poms/JPP.%{name}-extendedDataTable.pom
%{_datadir}/maven2/poms/JPP.%{name}-fileUpload.pom
%{_datadir}/maven2/poms/JPP.%{name}-functions.pom
%{_datadir}/maven2/poms/JPP.%{name}-gmap.pom
%{_datadir}/maven2/poms/JPP.%{name}-hotKey.pom
%{_datadir}/maven2/poms/JPP.%{name}-inplaceInput.pom
%{_datadir}/maven2/poms/JPP.%{name}-inplaceSelect.pom
%{_datadir}/maven2/poms/JPP.%{name}-inputnumber-slider.pom
%{_datadir}/maven2/poms/JPP.%{name}-inputnumber-spinner.pom
%{_datadir}/maven2/poms/JPP.%{name}-insert.pom
%{_datadir}/maven2/poms/JPP.%{name}-jQuery.pom
%{_datadir}/maven2/poms/JPP.%{name}-layout.pom
%{_datadir}/maven2/poms/JPP.%{name}-listShuttle.pom
%{_datadir}/maven2/poms/JPP.%{name}-menu-components.pom
%{_datadir}/maven2/poms/JPP.%{name}-message.pom
%{_datadir}/maven2/poms/JPP.%{name}-modal-panel.pom
%{_datadir}/maven2/poms/JPP.%{name}-orderingList.pom
%{_datadir}/maven2/poms/JPP.%{name}-paint2D.pom
%{_datadir}/maven2/poms/JPP.%{name}-panel.pom
%{_datadir}/maven2/poms/JPP.%{name}-panelbar.pom
%{_datadir}/maven2/poms/JPP.%{name}-panelmenu.pom
%{_datadir}/maven2/poms/JPP.%{name}-pickList.pom
%{_datadir}/maven2/poms/JPP.%{name}-progressBar.pom
%{_datadir}/maven2/poms/JPP.%{name}-scrollableDataTable.pom
%{_datadir}/maven2/poms/JPP.%{name}-separator.pom
%{_datadir}/maven2/poms/JPP.%{name}-simpleTogglePanel.pom
%{_datadir}/maven2/poms/JPP.%{name}-spacer.pom
%{_datadir}/maven2/poms/JPP.%{name}-state.pom
%{_datadir}/maven2/poms/JPP.%{name}-suggestionbox.pom
%{_datadir}/maven2/poms/JPP.%{name}-tabPanel.pom
%{_datadir}/maven2/poms/JPP.%{name}-togglePanel.pom
%{_datadir}/maven2/poms/JPP.%{name}-toolBar.pom
%{_datadir}/maven2/poms/JPP.%{name}-tooltip.pom
%{_datadir}/maven2/poms/JPP.%{name}-tree.pom
%{_datadir}/maven2/poms/JPP.%{name}-treeModel.pom
%if 0
%{_datadir}/maven2/poms/JPP.%{name}-treeTable.pom
%endif
%{_datadir}/maven2/poms/JPP.%{name}-virtualEarth.pom
%endif

%files manual
%defattr(0644,root,root,0755)
%doc %dir %{_docdir}/%{name}-%{version}
%doc %dir %{_docdir}/%{name}-%{version}/css
%doc %{_docdir}/%{name}-%{version}/css/maven-base.css
%doc %{_docdir}/%{name}-%{version}/css/maven-theme.css
%doc %{_docdir}/%{name}-%{version}/css/print.css
%doc %{_docdir}/%{name}-%{version}/css/site.css
%doc %{_docdir}/%{name}-%{version}/dependencies.html
%doc %{_docdir}/%{name}-%{version}/dependency-convergence.html
%doc %dir %{_docdir}/%{name}-%{version}/images
%doc %{_docdir}/%{name}-%{version}/images/close.gif
%doc %{_docdir}/%{name}-%{version}/images/collapsed.gif
%doc %{_docdir}/%{name}-%{version}/images/expanded.gif
%doc %{_docdir}/%{name}-%{version}/images/external.png
%doc %{_docdir}/%{name}-%{version}/images/icon_error_sml.gif
%doc %{_docdir}/%{name}-%{version}/images/icon_info_sml.gif
%doc %{_docdir}/%{name}-%{version}/images/icon_success_sml.gif
%doc %{_docdir}/%{name}-%{version}/images/icon_warning_sml.gif
%doc %dir %{_docdir}/%{name}-%{version}/images/logos
%doc %{_docdir}/%{name}-%{version}/images/logos/build-by-maven-black.png
%doc %{_docdir}/%{name}-%{version}/images/logos/build-by-maven-white.png
%doc %{_docdir}/%{name}-%{version}/images/logos/maven-feather.png
%doc %{_docdir}/%{name}-%{version}/images/newwindow.png
%doc %{_docdir}/%{name}-%{version}/index.html
%doc %{_docdir}/%{name}-%{version}/integration.html
%doc %{_docdir}/%{name}-%{version}/issue-tracking.html
%doc %{_docdir}/%{name}-%{version}/license.html
%doc %{_docdir}/%{name}-%{version}/mail-lists.html
%doc %{_docdir}/%{name}-%{version}/plugin-management.html
%doc %{_docdir}/%{name}-%{version}/plugins.html
%doc %{_docdir}/%{name}-%{version}/project-info.html
%doc %{_docdir}/%{name}-%{version}/project-summary.html
%doc %{_docdir}/%{name}-%{version}/source-repository.html
%doc %{_docdir}/%{name}-%{version}/team-list.html
%doc %dir %{_docdir}/%{name}-%{version}/wars
%doc %{_docdir}/%{name}-%{version}/wars/cdkguide_en-%{namedversion}.war
%doc %{_docdir}/%{name}-%{version}/wars/faq_en-%{namedversion}.war
%doc %{_docdir}/%{name}-%{version}/wars/migration_en-%{namedversion}.war
%doc %{_docdir}/%{name}-%{version}/wars/photo_album_app_guide_en-%{namedversion}.war
%doc %{_docdir}/%{name}-%{version}/wars/userguide_en-%{namedversion}.war
%{_javadir}*/%{name}/cdkguide_en-%{version}.jar
%{_javadir}*/%{name}/cdkguide_en.jar
%{_javadir}*/%{name}/faq_en-%{version}.jar
%{_javadir}*/%{name}/faq_en.jar
%{_javadir}*/%{name}/migration_en-%{version}.jar
%{_javadir}*/%{name}/migration_en.jar
%{_javadir}*/%{name}/photo_album_app_guide_en-%{version}.jar
%{_javadir}*/%{name}/photo_album_app_guide_en.jar
%{_javadir}*/%{name}/userguide_en-%{version}.jar
%{_javadir}*/%{name}/userguide_en.jar
%{_datadir}/maven2/poms/JPP.%{name}-cdkguide_en.pom
%{_datadir}/maven2/poms/JPP.%{name}-faq_en.pom
%{_datadir}/maven2/poms/JPP.%{name}-migration_en.pom
%{_datadir}/maven2/poms/JPP.%{name}-photo_album_app_guide_en.pom
%{_datadir}/maven2/poms/JPP.%{name}-userguide_en.pom

%files root
%defattr(0644,root,root,0755)
%{_datadir}/maven2/poms/JPP.%{name}-root.pom

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*/
%exclude %dir %{_javadir}*/%{name}/
%exclude %dir %{_javadocdir}/
%{_javadir}*/repository.jboss.com
%endif

%if %with zips
%files zip
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%dir %{_javadir}*/jbossas-fordev
%{_javadir}*/jbossas-fordev/richfaces-ui-%{namedversion}-bin.zip

%files src-zip
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%dir %{_javadir}*/jbossas-fordev
%{_javadir}*/jbossas-fordev/richfaces-ui-%{namedversion}-src.zip
%endif

%changelog
* Thu Apr 07 2011 Martha Benitez <mbenitez@redhat.com> - 0:3.3.1-1.SP3.1
- Comment Patch0

* Thu Feb 17 2011 Marek Novotny <mnovotny@redhat.com> 0:3.3.1-1.SP3
- new sources for 3.3.1.SP3 build

* Mon Jan 31 2011 David Walluck <dwalluck@redhat.com> 0:3.3.1-1
- rebuild

* Fri Jan 14 2011 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.26
- fix file list for brew
- don't install to old maven2 plugin location

* Fri Aug 27 2010 Martha Benitez <mbenitez@redhat.com> - 0:3.3.1-0.25
- Rebuild to fix signing problems

* Thu Aug 26 2010 Martha Benitez <mbenitez@redhat.com> - 0:3.3.1-0.24
- Fix symlink for cdk-plugin and javascript-plugin

* Thu Aug 26 2010 Permaine Cheung <pcheung@redhat.com> 0:3.3.1-0.23
- Remove unapplied patch

* Wed Aug 25 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.22
- update Requires

* Thu Aug 19 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.21
- build with LANG=en_US.UTF-8

* Thu Aug 19 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.20
- remove LANG setting

* Wed Aug 18 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.19
- build with LANG set

* Thu May 20 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.18
- remove unused/outdated patches
- use htmlunit2 instead of htmlunit
- fix qdox Requires
- build with unsigned cglib
- use xml-commons to reduce XML differences
- fix ui.pack.js

* Tue May 11 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.17
- rebuild for maven install/deploy issue

* Fri May 07 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.16
- 3.3.1.SP2
- use velocity15

* Wed May 05 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.15
- rebuild using rhino in jdk6

* Tue Apr 13 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.14
- rebuild for rhino16

* Thu Mar 25 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.13
- exclude maven2-brew from src zip

* Tue Mar 23 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.12
- add missing cdk pom
- use mvn deploy instead of mvn install
- add BuildRequires: maven2-plugin-deploy, jakarta-commons-vfs
- fix some file names in file list

* Mon Mar 22 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.11
- update jpp depmap

* Wed Feb 24 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.10
- update to 3.3.1.SP1
- add repolib
- remove site option

* Thu Feb 11 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.9
- enable monolithic ui

* Thu Feb 11 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.8
- reorder root package

* Wed Feb 10 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.7
- add root pom package
- add doc pom package
- add depmap fragment for old highlight
- add missing ui components: colorPicker, editor, and layout
- add richfaces-demo-jee5.war and richfaces-demo-tomcat6.war
- remove unused upstream option

* Mon Jan 11 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.6
- fix depmap for ui pom

* Mon Jan 11 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.5
- add parent org.richfaces:ui of org.richfaces.ui:richfaces-ui

* Mon Jan 11 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.4
- framework should require main package
- split highlight into own package
- don't mark jars in manual package as docs

* Mon Jan 11 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.3
- temporarily use glassfish-jsf until we provide jsf_1_2_api
- add serializer for mojo xml-maven-plugin and jdocbook

* Wed Jan 06 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.2
- make ui monolithic
- add the zips
- add some missing maven poms

* Wed Jan 06 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.1
- 3.3.1.GA_RFPL-265

* Thu Sep 17 2009 David Walluck <dwalluck@redhat.com> 0:3.3.0-4
- add patch for cglib 2.2

* Mon Apr 20 2009 David Walluck <dwalluck@redhat.com> 0:3.3.0-3
- fix maven Requires

* Mon Apr 06 2009 David Walluck <dwalluck@redhat.com> 0:3.3.0-2
- fix typo in Requires
- update License

* Wed Mar 11 2009 David Walluck <dwalluck@redhat.com> 0:3.3.0-1
- 3.3.0.GA
- fix postgresql-jdbc depmap entry
- workaround icedtea rhino bug

* Fri Jan 23 2009 Ralph Apel <r.apel@r-apel.de> 0:3.2.2.1-1.jpp5
- First release
